---
primaryTopic:
  Accounts:
    AccountCategory: MICRO
    AccountRefDay: 31
    AccountRefMonth: 03
    LastMadeUpDate: 31/03/2023
    NextDueDate: 31/12/2024
  CompanyCategory: PRI/LTD BY GUAR/NSC (Private, limited by guarantee, no share capital)
  CompanyName: MEREWOOD FREEHOLD LIMITED
  CompanyNumber: 08449348
  CompanyStatus: Active
  CountryOfOrigin: United Kingdom
  IncorporationDate: 18/03/2013
  RegAddress:
    AddressLine1: 294 BANBURY ROAD
    PostTown: OXFORD
    Country: ENGLAND
    Postcode: OX2 7ED
  Returns:
    LastMadeUpDate: 18/03/2024
    NextDueDate: 01/04/2025
  SICCodes:
    SicText:
      - '98000 - Residents property management'
